[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#701308: pam-unix2 no longer build with latest glibc headers

[Thorsten Kukuk]
> > Hi, Thorsten.
> > 
> > I was looking at a build failure for libpam-unix2 in the latest Debian
> > build environment, and discovered that the problem is that it is using a
> > set of lock macros no longer provided by libc.  I fetched the latest
> > version from <URL: ftp://ftp.suse.com/pub/people/kukuk/pam/pam_unix2/ >.
> Didn't know that this directory exists again ...

Hehe.  Is there a better upstream source for the package?

> There were some newer releases, all can be found in the openSUSE
> project:
> https://build.opensuse.org/package/show/Linux-PAM/pam-modules
> But yes, the lock-problem is only solved with a patch, too.

Perhaps time to wrap up a new release with all the patches in place?

Note, the Debian package got some security fixes for the pam_prompt()
and pam_syslog() handling.  Check the source via
<URL: http://packages.qa.debian.org/libp/libpam-unix2.html >.  You might
want to include them too in a new release.

Happy hacking
Petter Reinholdtsen

Reply to: